It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
avatar
grubbyseismic: Have GOG given a reason why 10.3 hasn't been added to the install options in Galaxy yet?
No, but they are often kind of slow with updating to the latest patch version...
avatar
grubbyseismic: Have GOG given a reason why 10.3 hasn't been added to the install options in Galaxy yet?
avatar
wesp5: No, but they are often kind of slow with updating to the latest patch version...
If I turn off Auto-update (via Galaxy) to install 10.3 myself: in your opinion when would it be "safe" (i.e. my saves don't get screwed) to turn it back on?
avatar
wesp5: No, but they are often kind of slow with updating to the latest patch version...
avatar
grubbyseismic: If I turn off Auto-update (via Galaxy) to install 10.3 myself: in your opinion when would it be "safe" (i.e. my saves don't get screwed) to turn it back on?
IMO - when you are playing another game. Wesp5 comes out with new ptaches fairly routinely and GOG, once they get around to it, follows on their end. With AU (auto update) on, it changes in the middle of the game and the old saves can't be used. Since you don't know when this will happen, it is never safe while playing VtMB.
avatar
grubbyseismic: If I turn off Auto-update (via Galaxy) to install 10.3 myself: in your opinion when would it be "safe" (i.e. my saves don't get screwed) to turn it back on?
avatar
lordhoff: IMO - when you are playing another game. Wesp5 comes out with new ptaches fairly routinely and GOG, once they get around to it, follows on their end. With AU (auto update) on, it changes in the middle of the game and the old saves can't be used. Since you don't know when this will happen, it is never safe while playing VtMB.
Well that sucks. I guess I'm going to be in Santa Monica a while!